.TH "mca_btl_gm_component_t" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
mca_btl_gm_component_t \- Myrinet (GM) BTL component.  

.PP
.SH SYNOPSIS
.br
.PP
\fC#include <btl_gm.h>\fP
.PP
.SS "Data Fields"

.in +1c
.ti -1c
.RI "\fBmca_btl_base_component_1_0_0_t\fP \fBsuper\fP"
.br
.RI "\fIbase BTL component \fP"
.ti -1c
.RI "size_t \fBgm_num_btls\fP"
.br
.RI "\fInumber of hcas available to the GM component \fP"
.ti -1c
.RI "size_t \fBgm_max_btls\fP"
.br
.RI "\fImaximum number of supported hcas \fP"
.ti -1c
.RI "\fBmca_btl_gm_module_t\fP ** \fBgm_btls\fP"
.br
.RI "\fIarray of available BTL modules \fP"
.ti -1c
.RI "size_t \fBgm_max_ports\fP"
.br
.RI "\fImaximum number of ports per board \fP"
.ti -1c
.RI "size_t \fBgm_max_boards\fP"
.br
.RI "\fImaximum number of boards \fP"
.ti -1c
.RI "size_t \fBgm_num_mru\fP"
.br
.ti -1c
.RI "size_t \fBgm_eager_frag_size\fP"
.br
.ti -1c
.RI "size_t \fBgm_max_frag_size\fP"
.br
.ti -1c
.RI "char * \fBgm_port_name\fP"
.br
.ti -1c
.RI "int32_t \fBgm_num_repost\fP"
.br
.ti -1c
.RI "int32_t \fBgm_num_high_priority\fP"
.br
.RI "\fInumber of receive descriptors at high priority \fP"
.ti -1c
.RI "int \fBgm_debug\fP"
.br
.RI "\fIturn on debug output \fP"
.ti -1c
.RI "int \fBgm_free_list_num\fP"
.br
.RI "\fIinitial size of free lists \fP"
.ti -1c
.RI "int \fBgm_free_list_max\fP"
.br
.RI "\fImaximum size of free lists \fP"
.ti -1c
.RI "int \fBgm_free_list_inc\fP"
.br
.RI "\fInumber of elements to alloc when growing free lists \fP"
.ti -1c
.RI "\fBopal_list_t\fP \fBgm_procs\fP"
.br
.RI "\fIlist of gm proc structures \fP"
.ti -1c
.RI "\fBopal_mutex_t\fP \fBgm_lock\fP"
.br
.RI "\fIlock for accessing module state \fP"
.ti -1c
.RI "char * \fBgm_mpool_name\fP"
.br
.RI "\fIname of memory pool \fP"
.ti -1c
.RI "bool \fBleave_pinned\fP"
.br
.RI "\fIpin memory on first use and leave pinned \fP"
.in -1c
.SH "Detailed Description"
.PP 
Myrinet (GM) BTL component. 
.PP


.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
